package cc.niushuai.projects.demo.aspectlock.common.anno;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * lock 参数实体类
 *
 * @author niushuai
 * @date 2021/12/22 10:21
 */
@Data
@Accessors(chain = true)
public class Lock {

    private String key;
    private String value;
    private long period;
    private long expireTime;

    public boolean isExpire() {
        // 预计过期时间
        return expireTime < System.currentTimeMillis();
    }
}
